# encoding: utf-8
require 'spec_helper'

describe Fleetly do

  let(:client) { Fleetly::Client.new }

  context "configure defaults" do
    it "uses default URL" do
      client.api_url.should eq 'https://api.fleetly.com'
    end
    it "uses default TOKEN" do
      client.token.should eq 'ANONYMOUS_OAUTH_TOKEN'
    end
  end

  context "handles custom configurations" do
    it "allows override of credentials" do
      new_client = Fleetly::Client.new(api_url: 'http://localhost:3000',
                                      token: 'MYTOKEN')
      new_client.api_url.should eq 'http://localhost:3000'
      new_client.token.should eq 'MYTOKEN'
    end
  end

end
